Get report by name
POST
/api/report/{projectid}/view-report-for-name
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/report/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/view-report-for-name"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/report/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/view-report-for-name';const options = {method: 'POST', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/report/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/view-report-for-name \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Query Parameters
Section titled “Query Parameters”name
string
The report name.
Responses
Section titled “Responses”OK
object
reportid
string format: uuid
historyid
string format: uuid
eventtypeid
null | string format: uuid
userid
null | string format: uuid
name
null | string
description
null | string
code
null | string
recordcount
integer | string format: int64
lastrefreshed
string format: date-time
columns
Array<object> | null
object
id
string format: uuid
label
null | string
description
null | string
info
null | string
delimiter
null | string
objtype
null | string
baseobjtype
null | string
view
null | string
objfield
null | string
objid
null | string
ismeta
boolean
iscategory
boolean
property_name
null | string
flatten
boolean
visible
boolean
order
integer | string format: int32
dataformat
null | string
timezone
null | string
multiplier
null | number | string format: double
showcategoryhierarchy
boolean
allowempty
boolean
calculation
dataType
statements
Array<object> | null
object
statementid
string format: uuid
name
null | string
logical
itemorder
integer | string format: int32
conditions
Array<object> | null
object
conditionid
string format: uuid
op
itemorder
integer | string format: int32
filtertype
null | string
serializedfilter
null | string
reportdata
Array<object> | null
object
id
string format: uuid
etag
null | string
datarow
null | object
object
reportid
string format: uuid
historyid
string format: uuid
eventtypeid
null | string format: uuid
userid
null | string format: uuid
name
null | string
description
null | string
code
null | string
recordcount
integer | string format: int64
lastrefreshed
string format: date-time
columns
Array<object> | null
object
id
string format: uuid
label
null | string
description
null | string
info
null | string
delimiter
null | string
objtype
null | string
baseobjtype
null | string
view
null | string
objfield
null | string
objid
null | string
ismeta
boolean
iscategory
boolean
property_name
null | string
flatten
boolean
visible
boolean
order
integer | string format: int32
dataformat
null | string
timezone
null | string
multiplier
null | number | string format: double
showcategoryhierarchy
boolean
allowempty
boolean
calculation
dataType
statements
Array<object> | null
object
statementid
string format: uuid
name
null | string
logical
itemorder
integer | string format: int32
conditions
Array<object> | null
object
conditionid
string format: uuid
op
itemorder
integer | string format: int32
filtertype
null | string
serializedfilter
null | string
reportdata
Array<object> | null
object
id
string format: uuid
etag
null | string
datarow
null | object
Example
{ "columns": [ { "formdatatype": "None", "calculation": "None", "dataType": "Text" } ], "statements": [ { "logical": "AND", "conditions": [ { "op": "EQ" } ] } ]}object
reportid
string format: uuid
historyid
string format: uuid
eventtypeid
null | string format: uuid
userid
null | string format: uuid
name
null | string
description
null | string
code
null | string
recordcount
integer | string format: int64
lastrefreshed
string format: date-time
columns
Array<object> | null
object
id
string format: uuid
label
null | string
description
null | string
info
null | string
delimiter
null | string
objtype
null | string
baseobjtype
null | string
view
null | string
objfield
null | string
objid
null | string
ismeta
boolean
iscategory
boolean
property_name
null | string
flatten
boolean
visible
boolean
order
integer | string format: int32
dataformat
null | string
timezone
null | string
multiplier
null | number | string format: double
showcategoryhierarchy
boolean
allowempty
boolean
calculation
dataType
statements
Array<object> | null
object
statementid
string format: uuid
name
null | string
logical
itemorder
integer | string format: int32
conditions
Array<object> | null
object
conditionid
string format: uuid
op
itemorder
integer | string format: int32
filtertype
null | string
serializedfilter
null | string
reportdata
Array<object> | null
object
id
string format: uuid
etag
null | string
datarow
null | object
Example
{ "columns": [ { "formdatatype": "None", "calculation": "None", "dataType": "Text" } ], "statements": [ { "logical": "AND", "conditions": [ { "op": "EQ" } ] } ]}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}